body {
    font-family: "Roboto", sans-serif;
    color: #717171;
    margin: 0px;
}

html {
    scroll-behavior: smooth;
}

a {
    text-decoration: none;
    color: inherit;
}

/* Top bar formatting*/
.top-bar {
    width: 100%;
    height: 118px;
    display: grid;
    grid-template-columns: [first] 10% [line2] 50% [line3] 10% [line4] 20% [line5] 10% [last];
    grid-template-rows: auto;
    position: fixed;
    background-color: #ffffff;
}

.name {
    grid-column: line2 / line3;
    justify-self: center;
    align-content: center;
    font-size: 30px;
    font-weight: 600;
}

.name a:hover {
    color: #b4b4b4;
    font-weight: 500;
}

.buttons {
    grid-column: line4 / line5;
    justify-self: left;
    align-content: center;
    font-size: 17px;
}

.buttons a{
    padding-right: 10px;
}

.buttons a:hover {
    color: #b4b4b4;
    font-weight: 500;
}

.container {
    width: 100%;
    display: inline-grid;
    grid-template-columns: [first] 10% [line2] 50% [line3] 10% [line4] 20% [line5] 10% [last];
    grid-template-rows: auto;
}

.top-image {
    display: initial;
    width: 100%;
    height: auto;
    margin-top: 120px;
    grid-column: 1 / -1
}


/*tells the alternative image not to display in large screen mode*/
.alternative-image {
    display: none;
}

/*establishes figcaption as a sub-grid that takes on parent grid properties*/
.container figure {
    display: grid;
    grid-template-columns: subgrid;
    grid-column: 1 / last;
    align-items: center;
    padding-bottom: 75px;
    padding-top: 75px
}

.project-image {
    height: auto;
    grid-column: line2 / line3;
    justify-self: center;
}

.text {
    grid-column: line4 / line4
}

.project-title {
    font-size: 18px;
    padding-bottom: 0px;
    font-weight: 550;
}

.project-size {
    font-size: 17px;
}

.project-description {
    padding-bottom: 20px;
    font-size: 17px
}

.project-price {
    font-size: 17px;
}

/*biography position and graphics*/
.biobar {
    background color: #717171;
}

.biography {
    width: 100%;
    display: grid;
    grid-template-columns: [first] 10% [line2] 15% [line3] 20% [line4] 15% [line5] 10% [line6] 20% [line7] 10% [last];
    grid-template-rows: auto;
    padding-top: 100px;
    padding-bottom: 100px;
    background color: #717171;
}

.biography p {
    grid-column: line3 / line4;
    justify-self: center;
}

.bio-title {
    font-weight: 600;
}

/*bottom formatting*/
.bottom-fixed {
    height: 400px;
    width: 100%;
    align-content: center;
    background-color: #717171;
}

.bottom {
    height: auto;
    display: grid;
    grid-template-columns: [first] 10% [line2] 50% [line3] 10% [line4] 20% [line5] 10% [last];
}

.bottom-copyright {
    grid-column: line2 / line3;
    justify-self: center;
    align-content: center;
    margin: 30px;
    font-size: 20px;
    color: #ffffff;
}

.bottom-contact {
    grid-column: line2 / line3;
    justify-self: center;
    align-content: center;
    margin: 0px;
    font-size: 20px;
    color: #ffffff;
}


/*bottom bar formatting*/
.bottom-bar {
    width: 100%;
    height: auto;
    display: inline-grid;
    grid-template-columns: [first] 10% [line2] 50% [line3] 10% [line4] 20% [line5] 10% [last];
    grid-template-rows: auto;
    position: sticky;
    bottom: 0;
    background-color: #ffffff;
}

.bottom-contact {
    padding: 0px;
    height: auto;
    
}

.contact {
    grid-column: line4 / line5;
    justify-self: left;
    font-size: 17px;
}

/*Settings for small screens*/
@media (max-width: 800px) {
    body {
    text-align: center;
    }
    
    .top-bar {
    height: 80px;
    display: block;
    align-content: center;
}
    .top-image {
    display: none;
    }
    
    .alternative-image {
        display: initial;
        width: 100%;
        margin-top: 80px;
    }
    
    .project-image img {
    width: 300px;
}
    
    .project-title {
    padding-top: 20px;
}

    .container {
    display: block;
    margin-left: 0px;
    }
    
    .container figure {
        display: block;
    }
    
    .biography {
        display: inline-block;
        width: 80%;
    }
    
    .bottom {
        display: block;
        align-content: center;
    }
    
    .bottom-bar {
    display: block;
}
}

    
